package com.zd.airbottle.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 待办清单对象 qp_task
 *
 * @author zd
 * @date 2022-05-11
 */
@ApiModel("待办清单")
public class QpTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 实验地点 */
    @Excel(name = "实验地点")
    @Length(message = "实验地点长度不能超过50")
    @ApiModelProperty(value = "实验地点")
    private String location;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long locationId;
    /** 申请人id */
    @Excel(name = "申请人id")
    @ApiModelProperty(value = "申请人id")
    private Long userId;
    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    @Length(message = "申请人姓名长度不能超过255")
    @ApiModelProperty(value = "申请人姓名")
    private String userName;
    /** 联系方式 */
    @Excel(name = "联系方式")
    @Length(message = "联系方式长度不能超过11")
    @ApiModelProperty(value = "联系方式")
    private String phone;
    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过255")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /** 清单类型 1.供气申请，2.回收申请3.货物问题 */
    @Excel(name = "清单类型 1.供气申请，2.回收申请3.货物问题")
    @ApiModelProperty(value = "清单类型 1.供气申请，2.回收申请3.货物问题")
    private Integer type;

    /** 运输车辆
    @Excel(name = "运输车辆")
    @ApiModelProperty(value = "运输车辆")
    private Long carId;*/
    /** 运输人员id
    @Excel(name = "运输人员id")
    @ApiModelProperty(value = "运输人员id")
    private Long transportId;*/
    /** 是否处理 0未处理 1.已处理
    @Excel(name = "是否处理 0未处理 1.已处理")
    @ApiModelProperty(value = "是否处理 0未处理 1.已处理")
    private Integer isDispose;*/
    /** 处理人
    @Excel(name = "处理人")
    @Length(message = "处理人长度不能超过20")
    @ApiModelProperty(value = "处理人")
    private String disposeUser;*/
    /** 处理人id
    @Excel(name = "处理人id")
    @ApiModelProperty(value = "处理人id")
    private Long disposeUserid;*/
    /** 处理时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "处理时间")
    private Date disposeTime;*/

    /** 供应商id
    @Excel(name = "供应商id")
    @ApiModelProperty(value = "供应商id")
    private Long supplierId;*/

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setLocationId(Long locationId)
    {
        this.locationId = locationId;
    }

    public Long getLocationId()
    {
        return locationId;
    }
    @Override
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }
    @Override
    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    @Override
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }
    @Override
    public Long getDeptId()
    {
        return deptId;
    }
    @Override
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }
    @Override
    public String getDeptName()
    {
        return deptName;
    }


    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("location", getLocation())
                .append("locationId", getLocationId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("phone", getPhone())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("type", getType())
                .append("createTime", getCreateTime())
                .toString();
    }
}
